Kline / Candlestick

Get candlestick chart data for a symbol

Get Klines

GET /v1/klines?symbol=BTCUSDT&interval=1m&limit=300

Query Parameters:

ParameterTypeRequiredDefaultDescription
symbolstringYes-Trading pair
intervalstringNo1mKline interval
limitstringNo300Number of klines (max 1500)

Supported Intervals:

1m, 3m, 5m, 15m, 30m, 1h, 2h, 4h, 6h, 8h, 12h, 1d, 3d, 1w, 1M

Response:

{
  "ok": true,
  "data": [
    [
      1711756800000,   // Open time
      "71000.0",       // Open price
      "71500.0",       // High price
      "70800.0",       // Low price
      "71034.5",       // Close price
      "1234.567",      // Volume
      1711756859999,   // Close time
      "87654321.0",    // Quote volume
      523,             // Number of trades
      "617.283",       // Taker buy base volume
      "43827160.5",    // Taker buy quote volume
      "0"              // Unused
    ]
  ]
}

Each kline is an array with 12 elements. The format matches the Binance kline format for compatibility.

On this page